package com.bcxin.ins.service.order;


import com.bcxin.ins.entity.policy_special.StDebtAges;
import com.bcxin.ins.vo.DebtAgesVo;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;

public interface InsDebtAgesAPIService extends IService<StDebtAges> {
	
	public List<StDebtAges> selectInsDebtAgesByInsBadDebt(Long oid);
	
	public void setDebtAgesByDebtAgesVo(List<DebtAgesVo> voList, Long bad_debt_id);
	
	public void accordingToTheDebtAgesVoSetUpInsDebtAges(DebtAgesVo vo, Long bad_debt_id);
	
	public List<DebtAgesVo> getDebtAgesVoListByInsDebtAgesList(List<StDebtAges> daList);
	
	public DebtAgesVo accordingToInsDebtAgesIntoDebtAgesVo(StDebtAges da);
}
